<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List" />
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;object>&lt;array name="organisations">&lt;string>showcase&lt;/string>&lt;string>Org21&lt;/string>&lt;/array>&lt;array name="inactiveOrganisations">&lt;string>BPC&lt;/string>&lt;/array>&lt;array name="roles">&lt;string>VAM_organization_16103&lt;/string>&lt;string>VAM_organization_ebix&lt;/string>&lt;string>Role11&lt;/string>&lt;string>10XCH-SWISSGRID2&lt;/string>&lt;string>VAM_organization_showcase&lt;/string>&lt;string>bpcadmiN&lt;/string>&lt;string>EAI Developer&lt;/string>&lt;string>bpcUser&lt;/string>&lt;/array>&lt;array name="rights">&lt;string>Right11&lt;/string>&lt;string>inubitUserGroup_BPC&lt;/string>&lt;/array>&lt;object name="principals">&lt;array name="org.apache.karaf.jaas.boot.principal.UserPrincipal">&lt;string>bpcadmin&lt;/string>&lt;/array>&lt;/object>&lt;number name="expirationDate">1525358499444&lt;/number>&lt;string name="lastName"/>&lt;string name="firstName">Prince&lt;/string>&lt;string name="loginName">bpcadmin&lt;/string>&lt;/object></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISCurrentTime">1525330929770</Property>
		<Property name="ISWorkflowName">VAM_api_bpc_auth</Property>
		<Property name="ISModuleName">VAM_JSON_to_XML</Property>
		<Property name="ISModuleId">8</Property>
		<Property name="ISProcessId">5881417</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISGlobalProcessId">5881417</Property>
		<Property name="ISInvokingWorkflow">VAM_api_main_attachUser</Property>
		<Property name="ISInvokingModule">VAM_api_wfc_bpc</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;configuration>&lt;api xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;database>&lt;type>oracle&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT2H0M5S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;hosts>&lt;item>&lt;key>dev04.virtimo.net:8191&lt;/key>&lt;url>http://localhost:8191/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev04.virtimo.net:8181&lt;/key>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;/hosts>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;startTimestamp>1525330929754&lt;/startTimestamp>&lt;/session></Property>
		<Property name="var.userContext" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;userContext>&lt;cookie>BPC_INSTANCE2_J_S=c0643411-2d28-4189-8871-f99631681ad2&lt;/cookie>&lt;host>dev04.virtimo.net:8191&lt;/host>&lt;/userContext></Property>
		<Property name="httpheader.response.Server">Jetty(9.2.21.v20170120)</Property>
		<Property name="httpheader.response.Connection">close</Property>
		<Property name="httpheader.response.Set-Cookie">BPC_INSTANCE2_J_S=c0643411-2d28-4189-8871-f99631681ad2;Comment="Virtimo AG - Business Process Center";Max-Age=27569;Path=/;HttpOnly;Version=1</Property>
		<Property name="httpheader.response.Date">Thu, 03 May 2018 07:02:09 GMT</Property>
		<Property name="httpheader.response.Content-Type">application/json</Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>
  &lt;xsl:template match="/*">&lt;user>&lt;id>&lt;xsl:value-of select="string[@name = 'loginName']"/>&lt;/id> 
      &lt;loginName>&lt;xsl:value-of select="string[@name = 'loginName']"/> 
         
      &lt;/loginName>  
        
        
      &lt;name>&lt;xsl:choose>&lt;xsl:when test="string[@name = 'firstName'] != '' and string[@name = 'lastName'] != ''">&lt;xsl:value-of select="concat(string[@name = 'firstName'], ' ', string[@name = 'lastName']) "/>&lt;/xsl:when>&lt;xsl:when test="string[@name = 'firstName'] != '' ">&lt;xsl:value-of select="string[@name = 'firstName']"/>&lt;/xsl:when>&lt;xsl:when test="string[@name = 'lastName'] != '' ">&lt;xsl:value-of select="string[@name = 'lastName']"/>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:value-of select="string[@name = 'loginName']"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/name>  
      &lt;eMailAddress>&lt;xsl:value-of select="string[@name = 'email']"/> 
         
      &lt;/eMailAddress>  
      &lt;active>true&lt;/active>  
      &lt;locale> 
        &lt;xsl:value-of select="'de_DE'"/> 
      &lt;/locale>  
      &lt;language> 
        &lt;xsl:value-of select="'de'"/> 
      &lt;/language>  
      &lt;country>&lt;xsl:value-of select="'DE'"/>&lt;/country>
      &lt;organizations>&lt;xsl:variable name="var.organizations" as="element()*">&lt;xsl:for-each select="distinct-values((array[@name='roles']/(object/string[@name='name'] | string)/substring-after(., 'VAM_organization_')[. != '']))">&lt;organization>&lt;xsl:value-of select="."/>&lt;/organization>&lt;/xsl:for-each>&lt;xsl:for-each select="distinct-values(array[@name='organisations']/string[. != ''])">&lt;organization>&lt;xsl:value-of select="."/>&lt;/organization>&lt;/xsl:for-each>&lt;/xsl:variable>&lt;xsl:for-each select="distinct-values($var.organizations)">&lt;organization>&lt;id> 
              &lt;xsl:value-of select="."/> 
            &lt;/id>&lt;name/>&lt;/organization>&lt;/xsl:for-each>
        
      &lt;/organizations>  
      &lt;roles> 
        &lt;xsl:variable select="distinct-values(array[@name = 'roles']/(object/string[@name='name'] | string))" name="var.roles" as="xs:string*"> 
           
        &lt;/xsl:variable>&lt;xsl:for-each select="distinct-values(($var.roles, if (exists($var.roles[lower-case(.) = 'bpcadmin'])) then ('VAM-administrator', 'VAM-readonly-administrator') else ()))">&lt;role>&lt;xsl:value-of select="."/>&lt;/role>&lt;/xsl:for-each> 
      &lt;/roles>  
        
        
        
        
       
    &lt;/user>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>